# Uses of Class
org.apache.sysds.parser.ParameterExpression

Packages that use ParameterExpression
Package
Description
org.apache.sysds.parser
org.apache.sysds.parser.dml

## Uses of ParameterExpression in org.apache.sysds.parser

Methods in org.apache.sysds.parser that return types with arguments of type ParameterExpression
Modifier and Type
Method
Description
`ArrayList<ParameterExpression>`
FunctionCallIdentifier.`getParamExprs()`
Method parameters in org.apache.sysds.parser with type arguments of type ParameterExpression
Modifier and Type
Method
Description
`static BuiltinFunctionExpression`
BuiltinFunctionExpression.`getBuiltinFunctionExpression(org.antlr.v4.runtime.ParserRuleContext ctx, String functionName, ArrayList<ParameterExpression> paramExprsPassed, String filename)`
`static DataExpression`
DataExpression.`getDataExpression(String functionName, ArrayList<ParameterExpression> passedParamExprs, ParseInfo parseInfo, CustomErrorListener errorListener)`
`static DataExpression`
DataExpression.`getDataExpression(org.antlr.v4.runtime.ParserRuleContext ctx, String functionName, ArrayList<ParameterExpression> passedParamExprs, String filename, CustomErrorListener errorListener)`
`static ParameterizedBuiltinFunctionExpression`
ParameterizedBuiltinFunctionExpression.`getParamBuiltinFunctionExpression(org.antlr.v4.runtime.ParserRuleContext ctx, String functionName, ArrayList<ParameterExpression> paramExprsPassed, String fileName)`
Constructor parameters in org.apache.sysds.parser with type arguments of type ParameterExpression
Modifier
Constructor
Description
``
`BuiltinFunctionExpression(org.antlr.v4.runtime.ParserRuleContext ctx, Builtins bifop, ArrayList<ParameterExpression> args, String fname)`
``
`FunctionCallIdentifier(ArrayList<ParameterExpression> paramExpressions)`

## Uses of ParameterExpression in org.apache.sysds.parser.dml

Fields in org.apache.sysds.parser.dml with type parameters of type ParameterExpression
Modifier and Type
Field
Description
`final ArrayList<ParameterExpression>`
DmlSyntacticValidator.ConvertedDMLSyntax.`paramExpression`
Method parameters in org.apache.sysds.parser.dml with type arguments of type ParameterExpression
Modifier and Type
Method
Description
`DmlSyntacticValidator.ConvertedDMLSyntax`
DmlSyntacticValidator.`convertToDMLSyntax(org.antlr.v4.runtime.ParserRuleContext ctx, String namespace, String functionName, ArrayList<ParameterExpression> paramExpression, org.antlr.v4.runtime.Token fnName)`
Constructor parameters in org.apache.sysds.parser.dml with type arguments of type ParameterExpression
Modifier
Constructor
Description
``
`ConvertedDMLSyntax(String namespace, String functionName, ArrayList<ParameterExpression> paramExpression)`